perl checksetup.pl resulting in failure

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

perl checksetup.pl resulting in failure

Richard Chen-2
Hello,

I am using a Mac and attempting to install Bugzilla on my machine.

I am getting the following error when running perl checksetup.pl:

Can't load 'lib/darwin-thread-multi-2level/auto/Encode/Encode.bundle' for module Encode: dlopen(lib/darwin-thread-multi-2level/auto/Encode/Encode.bundle, 1): no suitable image found.  Did find:
        file system relative paths not allowed in hardened programs at /System/Library/Perl/5.18/XSLoader.pm line 71.
 at lib/darwin-thread-multi-2level/Encode.pm line 12.
BEGIN failed--compilation aborted at lib/darwin-thread-multi-2level/Encode.pm line 13.
Compilation failed in require at /System/Library/Perl/5.18/Pod/Text.pm line 32.
BEGIN failed--compilation aborted at /System/Library/Perl/5.18/Pod/Text.pm line 32.
Compilation failed in require at (eval 1) line 2.
BEGIN failed--compilation aborted at /System/Library/Perl/5.18/Pod/Usage.pm line 30.
Compilation failed in require at checksetup.pl line 24.
BEGIN failed--compilation aborted at checksetup.pl line 24.

I got this error shortly after installing some required Perl dependencies. I am using perl 5, version 18.

- Richard
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.